// Authors: G. Antonini, E. Frejinger, C. Gioia, M. Thmans


[Choice]
CHOICE   


[Beta]
// Name Value  LowerBound UpperBound  status (0=variable, 1=fixed)
ASC_CAR 	0.0	-1.0000000e+00	+1.0000000e+00	0
ASC_SBB  	0.0	-1.0000000e+00	+1.0000000e+00	1
ASC_SM  	0.0	-1.0000000e+00	+1.0000000e+00	0
B_CAR_TIME	0.0	-1.0000000e+00	+1.0000000e+00	0
B_COST	        0.0	-1.0000000e+00	+1.0000000e+00	0
B_HE	        0.0	-1.0000000e+00	+1.0000000e+00	0
B_GA	        0.0	-1.0000000e+00	+5.0000000e+00	0
B_SM_TIME	-0.0	-1.0000000e+00	+1.0000000e+00	0
B_TRAIN_TIME	0.0	-1.0000000e+00	+1.0000000e+00	0

[Mu]
// In general, the value of mu must be fixed to 1. For testing purposes, you
// may change its value or let it be estimated.
// Value LowerBound UpperBound Status
+1.0000000e+00	+0.0000000e+00	+1.0000000e+00	1

[Utilities]
// Id Name  Avail  linear-in-parameter expression (beta1*x1 + beta2*x2 + ... )
3	Car	CAR_AV_SP	ASC_CAR * one + B_CAR_TIME * CAR_TT + B_COST * CAR_CO
1	Train	TRAIN_AV_SP	ASC_SBB * one + B_TRAIN_TIME * TRAIN_TT + B_COST * TRAIN_COST + B_HE * TRAIN_HE + B_GA * GA 
2	SM	SM_AV	        ASC_SM * one + B_SM_TIME * SM_TT + B_COST * SM_COST + B_HE * SM_HE + B_GA * GA 


[Expressions] 
// Define here arithmetic expressions for name that are not directly 
// available from the data

CAR_AV_SP  =  CAR_AV   && (  SP   !=  0  )
SM_COST  =  SM_CO   * (  GA   ==  0  )
TRAIN_AV_SP  =  TRAIN_AV   && (  SP   !=  0  )
TRAIN_COST  =  TRAIN_CO   * (  GA   ==  0  )
one  = 1


[Exclude]
(( PURPOSE != 1 ) * (  PURPOSE   !=  3  ) || ( CHOICE == 0 ) || ( AGE == 6 )) 

[Model]
// Currently, the following models are available
// Uncomment exactly one of them
$CNL  // Cross-Nested Logit Model

[Scale]
// The sample can be divided in several groups of individuals. The
//utility of an individual in a group will be multiplied by the scale factor
//associated with the group.

// Group_number  scale LowerBound UpperBound status

+1	+1.0000000e+00	+1.0000000e+00	+1.0000000e+00	1

[CNLNests]
// Name       paramvalue LowerBound UpperBound  status 
classic           1.0        1          10        0
Rail_based        1.0        1          10        0

[CNLAlpha]
// Alt     Nest       value   LowerBound    UpperBound  status
Car      classic        1       0.00001        1.0        1
Train    classic        0.5     0.00001        1.0        1
Train    Rail_based     0.5     0.00001        1.0        1
SM       Rail_based     1       0.00001        1.0        1


